package org.bench4q.monitor.model;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class PhysicalDiskModelChild {

	private String instance;
	
	public String getInstance() {
		return instance;
	}


	public void setInstance(String instance) {
		this.instance = instance;
	}


	public double getDiskTimePercent() {
		return diskTimePercent;
	}


	public void setDiskTimePercent(double diskTimePercent) {
		this.diskTimePercent = diskTimePercent;
	}


	public double getAverageDiskQueueLength() {
		return averageDiskQueueLength;
	}


	public void setAverageDiskQueueLength(double averageDiskQueueLength) {
		this.averageDiskQueueLength = averageDiskQueueLength;
	}


	public double getCurrentDiskQueueLength() {
		return currentDiskQueueLength;
	}


	public void setCurrentDiskQueueLength(double currentDiskQueueLength) {
		this.currentDiskQueueLength = currentDiskQueueLength;
	}


	public double getDiskReadBytesPerSecond() {
		return diskReadBytesPerSecond;
	}


	public void setDiskReadBytesPerSecond(double diskReadBytesPerSecond) {
		this.diskReadBytesPerSecond = diskReadBytesPerSecond;
	}


	public double getDiskWriteBytesPerSecond() {
		return diskWriteBytesPerSecond;
	}


	public void setDiskWriteBytesPerSecond(double diskWriteBytesPerSecond) {
		this.diskWriteBytesPerSecond = diskWriteBytesPerSecond;
	}


	public double getDiskBytesPerSecond() {
		return diskBytesPerSecond;
	}


	public void setDiskBytesPerSecond(double diskBytesPerSecond) {
		this.diskBytesPerSecond = diskBytesPerSecond;
	}


	private double diskTimePercent;

	private double averageDiskQueueLength;
	private double currentDiskQueueLength;
	private double diskReadBytesPerSecond;

	private double  diskWriteBytesPerSecond;


	private double diskBytesPerSecond;

	
}
